Lua_DressUpAvatarFramePanel = class("Lua_DressUpAvatarFramePanel", Lua_DressUpBasePanel);
function Lua_DressUpAvatarFramePanel:ctor(p)
	self:superCall("ctor", p, "DressUpPanel_skin");
end

function Lua_DressUpAvatarFramePanel:buildShowItem()
	self:superCall("buildShowItem");

	self.avatarItem = Lua_PersonalAvatarItem.new(self.content);
	self.avatarItem:setLocation(-158, 210, 0);

	self.itemList = Lua_DragList.new(self.content, 630, 388, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -101, 0);
	self.itemList:setListCell(Lua_DressUpAvatarFrameItem, 157.5, 126, 4);

	self.btnFunc:addClickFuntion(self, self.onBtnFuncClick);
end

function Lua_DressUpAvatarFramePanel:dispose()
	if self.avatarItem ~= nil then
		self.avatarItem:dispose();
		self.avatarItem = nil;
	end
	self:superCall("dispose");
end

function Lua_DressUpAvatarFramePanel:updateShowInfo()
	local arr = DataCenter.roleUtil:getDressUpArr(self.mainType);
	self.itemList:setArrayData(arr);
	
	local index = 1;
	for i = 1, arr:getSize() do
		if self.data == nil then
			if arr[i].id == DataCenter.roleData:getTempDressUp(Lua_DressUpDefine.MAINTYPE_FRAME) then
				index = i;
				break;
			end
		else
			if arr[i].id == self.data.id then
				index = i;
				break;
			end
		end
	end
	if self.data == nil then
		self.itemList:moveToIndex(index, true);
	end
	self.itemList:setSelected(index);
	self.itemList:setSelectClick(index);
end




















Lua_DressUpAvatarFrameItem = class("Lua_DressUpAvatarFrameItem", Lua_ListCell);
function Lua_DressUpAvatarFrameItem:ctor(p)
	self:superCall("ctor", p, "DressUpAvatarFrameItem_skin");
end

function Lua_DressUpAvatarFrameItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_DressUpAvatarFrameItem:dispose()
	self.data = nil;
	self:superCall("dispose");
end

function Lua_DressUpAvatarFrameItem:setData(data)
	self.data = data;

	self.icon:setAltas(self.data.atlas, self.data.sprite);
	self.icon:resetSize();
	self.icon:setScale(0.74, 0.74, 1);
	self.icon:setGray(self.data.is_active ~= 1);
	
	if self.data.is_wear == 1 then
		self.signIcon:setEnable(true);
		self.signIcon:setAltas("role_atlas", "ui_grxx_label_02");
	elseif self.data.canActivate == 1 then
		self.signIcon:setEnable(true);
		self.signIcon:setAltas("role_atlas", "ui_grxx_label_01");
	else
		self.signIcon:setEnable(false);
	end
	self.signIcon:resetSize();
end

function Lua_DressUpAvatarFrameItem:onSelectionChange(bSelect)
	self:superCall("onSelectionChange", bSelect);
	self.selectIcon:setEnable(bSelect);
end

function Lua_DressUpAvatarFrameItem:onPressClick()
	if self.data == nil then
		return false;
	end
	Lua_MsgUtil.callFunc("SELECT_DRESSUP", self.data);
	return true;
end