Lua_DressUpAvatarPanel = class("Lua_DressUpAvatarPanel", Lua_DressUpBasePanel);
function Lua_DressUpAvatarPanel:ctor(p)
	self:superCall("ctor", p, "DressUpPanel_skin");
end

function Lua_DressUpAvatarPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.avatarItem = Lua_PersonalAvatarItem.new(self.content);
	self.avatarItem:setLocation(-158, 210, 0);

	self.itemList = Lua_DragList.new(self.content, 630, 388, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -101, 0);
	self.itemList:setListCell(Lua_DressUpAvatarItem, 126, 126, 5);

	self.btnFunc:addClickFuntion(self, self.onBtnFuncClick);
end

function Lua_DressUpAvatarPanel:dispose()
	if self.avatarItem ~= nil then
		self.avatarItem:dispose();
		self.avatarItem = nil;
	end
	self:superCall("dispose");
end

function Lua_DressUpAvatarPanel:updateShowInfo()
	local arr = DataCenter.roleUtil:getDressUpArr(self.mainType);
	self.itemList:setArrayData(arr);
	
	local index = 1;
	for i = 1, arr:getSize() do
		if self.data == nil then
			if arr[i].id == DataCenter.roleData:getTempDressUp(Lua_DressUpDefine.MAINTYPE_HEAD) then
				index = i;
				break;
			end
		else
			if arr[i].id == self.data.id then
				index = i;
				break;
			end
		end
	end
	if self.data == nil then
		self.itemList:moveToIndex(index, true);
	end
	self.itemList:setSelected(index);
	self.itemList:setSelectClick(index);
end



















Lua_DressUpAvatarItem = class("Lua_DressUpAvatarItem", Lua_ListCell);
function Lua_DressUpAvatarItem:ctor(p)
	self:superCall("ctor", p, "DressUpAvatarItem_skin");
end

function Lua_DressUpAvatarItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_DressUpAvatarItem:dispose()
	if self.redPoint then
		self.redPoint:dispose();
		self.redPoint = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_DressUpAvatarItem:setData(data)
	self.data = data;

	self.icon:setAltas(self.data.atlas, self.data.sprite);
	self.icon:resetSize();
	self.icon:setGray(self.data.is_active ~= 1);
	
	if self.data.is_wear == 1 then
		self.signIcon:setEnable(true);
		self.signIcon:setAltas("role_atlas", "ui_grxx_label_02");
	elseif self.data.canActivate == 1 then
		self.signIcon:setEnable(true);
		self.signIcon:setAltas("role_atlas", "ui_grxx_label_01");
	else
		self.signIcon:setEnable(false);
	end
	self.signIcon:resetSize();

	self:showRedPoint(self.data.is_new == 1)
end

function Lua_DressUpAvatarItem:onSelectionChange(bSelect)
	self:superCall("onSelectionChange", bSelect);
	self.selectIcon:setEnable(bSelect);
end

function Lua_DressUpAvatarItem:onPressClick()
	if self.data == nil then
		return false;
	end
	if self.data.is_new == 1 then
		Lua_ProxyManager.getProxy("Lua_RoleProxy"):sConfirmDressUpInfo(self.data.id);
	end
	Lua_MsgUtil.callFunc("SELECT_DRESSUP", self.data);
	return true;
end

function Lua_DressUpAvatarItem:showRedPoint(value)
	if value then
		if self.redPoint == nil then
			self.redPoint = Lua_RedPointIcon.new(self.content);
			self.redPoint:setLocation(32, 23, 0);
			self.redPoint:createRedPointEff();
		end
		self.redPoint:updateRedPointShow(true);
	else
		if self.redPoint then
			self.redPoint:updateRedPointShow(false);
		end
	end
end