Lua_DressUpBasePanel = class("Lua_DressUpBasePanel", Lua_DisplayObject);

function Lua_DressUpBasePanel:buildShowItem()
	self:superCall("buildShowItem");

	self:addLuaEvent("UPDATE_DRESSUP_INFO", self, self.updateShowInfo);
	self:addLuaEvent("SELECT_DRESSUP", self, self.onDressUpSelected);
end

function Lua_DressUpBasePanel:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_DressUpBasePanel:setData(data)
	self.mainType = data.mainType;
	Lua_ProxyManager.getProxy("Lua_RoleProxy"):sDressUpInfo(data.mainType);
end

function Lua_DressUpBasePanel:updateShowInfo()

end

function Lua_DressUpBasePanel:onDressUpSelected(data)
	if not self.isActive or data.main_type ~= self.mainType then
		return
	end
	self.data = data;

	self.name.text = data.name;
	if data.is_active == 1 then
		if data.expired_tick <= 0 then
			self.time:setLangValue(301007);
		else
			local value = data.expired_tick - DataCenter.roleData.serverTime;
			self.time.text = LanUtil.formateStr(10039, Lua_TimeTransform.transSeconds24(value));
		end
		self.condition_1.text = nil;
		self.condition_2.text = nil;
		self.des.text = data.des;
		self.btnFunc:setLangValue(301008);
	else
		self.time:setLangValue(301009);
		self.condition_1:setLangValue(301006);
		self.condition_2.text = "\u{3000}\u{3000}\u{3000}\u{3000}\u{3000}\u{3000}"..data.acti_des;
		self.des.text = nil;
		if data.canActivate == 1 then
			self.btnFunc:setLangValue(301010);
		else
			self.btnFunc:setLangValue(301011);
		end
	end

	if self.avatarItem then
		DataCenter.roleData:setTempDressUp(data.main_type, data.id);
		local avatarId = DataCenter.roleData:getTempDressUp(Lua_DressUpDefine.MAINTYPE_HEAD);
		local frameId = DataCenter.roleData:getTempDressUp(Lua_DressUpDefine.MAINTYPE_FRAME);
		local titleId = DataCenter.roleData:getTempDressUp(Lua_DressUpDefine.MAINTYPE_TITLE);
		self.avatarItem:setAvatar(avatarId);
		self.avatarItem:setRoleFrame(frameId);
		self.avatarItem:setRoleTitle(titleId);
	end
end

function Lua_DressUpBasePanel:onBtnFuncClick(go)
	if self.data == nil then
		return;
	end

	if self.data.is_wear == 1 then
		OperateAlert.showLangValue(301012);
	elseif self.data.is_active == 1 then
		Lua_ProxyManager.getProxy("Lua_RoleProxy"):sWearDressUp(self.data.id);
	else
		if self.data.canActivate == 1 then
			Lua_ProxyManager.getProxy("Lua_RoleProxy"):sActivateDressUp(self.data.id);
		else
			if self.data.active_hero_id ~= nil and self.data.active_hero_id > 0 then
				local config = Lua_HeroConfigData.getConfig(self.data.active_hero_id);
				if config ~= nil then
					OperateAlert.show(LanUtil.formateStr(301013, config.name));
				end
			elseif self.data.active_item ~= nil then
				DataCenter.packUtil:openPathWindow(self.data.active_item[1]);
			end
		end
	end
end