Lua_DressUpBubblePanel = class("Lua_DressUpBubblePanel", Lua_DressUpBasePanel);
function Lua_DressUpBubblePanel:ctor(p)
	self:superCall("ctor", p, "DressUpPanel_skin");
end

function Lua_DressUpBubblePanel:buildShowItem()
	self:superCall("buildShowItem");

	self.bubbleIcon = UICreate.createUIAtlasImage(self.content, "", "", -136, 202, 204, 100);

	self.itemList = Lua_DragList.new(self.content, 630, 388, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -101, 0);
	self.itemList:setListCell(Lua_DressUpBubbleItem, 157.5, 126, 4);

	self.btnFunc:addClickFuntion(self, self.onBtnFuncClick);
end

function Lua_DressUpBubblePanel:dispose()
	self.bubbleIcon = nil;
	self:superCall("dispose");
end

function Lua_DressUpBubblePanel:updateShowInfo()
	local arr = DataCenter.roleUtil:getDressUpArr(self.mainType);
	self.itemList:setArrayData(arr);
		
	local index = 1;
	for i = 1, arr:getSize() do
		if self.data == nil then
			if arr[i].is_wear == 1 then
				index = i;
				break;
			end
		else
			if arr[i].id == self.data.id then
				index = i;
				break;
			end
		end
	end
	if self.data == nil then
		self.itemList:moveToIndex(index, true);
	end
	self.itemList:setSelected(index);
	self.itemList:setSelectClick(index);
end

function Lua_DressUpBubblePanel:onDressUpSelected(data)
	if not self.isActive or data == nil or data.main_type ~= self.mainType then
		return
	end
	self:superCall("onDressUpSelected", data);
	self.bubbleIcon:setAltas(data.atlas, data.sprite);
end




















Lua_DressUpBubbleItem = class("Lua_DressUpBubbleItem", Lua_ListCell);
function Lua_DressUpBubbleItem:ctor(p)
	self:superCall("ctor", p, "DressUpBubbleItem_skin");
end

function Lua_DressUpBubbleItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_DressUpBubbleItem:dispose()
	self.data = nil;
	self:superCall("dispose");
end

function Lua_DressUpBubbleItem:setData(data)
	self.data = data;

	self.icon:setAltas(self.data.atlas, self.data.sprite);
	self.icon:resetSize();
	self.icon:setGray(self.data.is_active ~= 1);
	
	if self.data.is_wear == 1 then
		self.signIcon:setEnable(true);
		self.signIcon:setAltas("role_atlas", "ui_grxx_label_02");
	elseif self.data.canActivate == 1 then
		self.signIcon:setEnable(true);
		self.signIcon:setAltas("role_atlas", "ui_grxx_label_01");
	else
		self.signIcon:setEnable(false);
	end
	self.signIcon:resetSize();
end

function Lua_DressUpBubbleItem:onSelectionChange(bSelect)
	self:superCall("onSelectionChange", bSelect);
	self.selectIcon:setEnable(bSelect);
end

function Lua_DressUpBubbleItem:onPressClick()
	if self.data == nil then
		return false;
	end
	Lua_MsgUtil.callFunc("SELECT_DRESSUP", self.data);
	return true;
end