checkRequire("Lua_DressUpBasePanel");
checkRequire("Lua_DressUpAvatarPanel");
checkRequire("Lua_DressUpAvatarFramePanel");
checkRequire("Lua_DressUpBubblePanel");
checkRequire("Lua_DressUpTitlePanel");
checkRequire("Lua_DressUpModelPanel");
Lua_DressUpWindow = class("Lua_DressUpWindow", Lua_Window);
function Lua_DressUpWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_DressUpWindow";
	self.skinName = "DressUpWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_DressUpWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.panelDic = {}

	self.btnInfo = Array();
	self.btnInfo:add({ textStr = LanUtil.getValue(301001), mainType = Lua_DressUpDefine.MAINTYPE_HEAD, panel = Lua_DressUpAvatarPanel, redPointId = Lua_RedPointList.DressUp_Avatar });
	self.btnInfo:add({ textStr = LanUtil.getValue(301002), mainType = Lua_DressUpDefine.MAINTYPE_FRAME, panel = Lua_DressUpAvatarFramePanel, redPointId = Lua_RedPointList.DressUp_Frame });
	-- self.btnInfo:add({ textStr = LanUtil.getValue(301003), mainType = Lua_DressUpDefine.MAINTYPE_BUBBLE, panel = Lua_DressUpBubblePanel, redPointId = Lua_RedPointList.DressUp_Bubble });
	self.btnInfo:add({ textStr = LanUtil.getValue(301004), mainType = Lua_DressUpDefine.MAINTYPE_TITLE, panel = Lua_DressUpTitlePanel, redPointId = Lua_RedPointList.DressUp_Title });
	self.btnInfo:add({ textStr = LanUtil.getValue(301005), mainType = Lua_DressUpDefine.MAINTYPE_MODEL, panel = Lua_DressUpModelPanel });

    self.buttonList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
    self.buttonList:setLocation(0, -451.5, 0);
    self.buttonList:setButtonStyle("common_altas_1", "ui_common_tab_02", "ui_common_tab_02", 175, 71, 0.01, 1);
    self.buttonList:setButtonText(1, 6, "5C504B", "8B5E34", 30, 30, Lua_MyUISettings.huakangFontName, UnityEngine.FontStyle.Normal);
    self.buttonList:setButtonLine("common_altas_1", "ui_common_line_013", 0, 0, 0, -6);
    self.buttonList:setRedPoint(50, 25);
    self.buttonList:setButtonItem(165, 71);
    self.buttonList:setClickCallBack(self, self.onButtonClick);
    self.buttonList:setData(self.btnInfo);
end

function Lua_DressUpWindow:dispose()
	if self.panelDic then
		for k, v in pairs(self.panelDic) do
			v:dispose()
			self.panelDic[k] = nil
		end
		self.panelDic = nil
	end
	if self.buttonList ~= nil then
		self.buttonList:dispose();
		self.buttonList = nil;
	end
	if self.btnInfo ~= nil then
		self.btnInfo:clear();
		self.btnInfo = nil;
	end
	DataCenter.roleData.tempDressUp = nil;
	self:superCall("dispose");
end

function Lua_DressUpWindow:showWin(param)
    self:superCall("showWin", param);
    local mainType;
    if param ~= nil then
        if type(param) == "table" then
            
        elseif type(param) == "string" or type(param) == "number" then
            mainType = tonumber(param);
        end
    end

    local index = 1;
    for i = 1, self.btnInfo:getSize() do
    	if self.btnInfo[i].mainType == mainType then
    		index = i;
    		break;
    	end
    end
    self.buttonList:setSelected(index);
end

function Lua_DressUpWindow:onButtonClick(index, data)
	for _, v in pairs(self.panelDic) do
		v:setEnable(false)
	end
	if self.panelDic[data.mainType] == nil then
		self.panelDic[data.mainType] = data.panel.new(self.content)
	end
	self.showPanel = self.panelDic[data.mainType];
	self.showPanel:setEnable(true);
	self.showPanel:setData(data);
end